Package org.apache.felix.http.proxy

## Class DispatcherTracker

- java.lang.Object
- - org.osgi.util.tracker.ServiceTracker
  - - org.apache.felix.http.proxy.DispatcherTracker

All Implemented Interfaces:
  `org.osgi.util.tracker.ServiceTrackerCustomizer`

    @Deprecated
    public final class DispatcherTracker
    extends org.osgi.util.tracker.ServiceTracker

Deprecated.

### Field Summary

### Fields inherited from class org.osgi.util.tracker.ServiceTracker

`context, filter`

### Constructor Summary

Constructors
`DispatcherTracker​(org.osgi.framework.BundleContext context, String filter, jakarta.servlet.ServletConfig config)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Object` `addingService​(org.osgi.framework.ServiceReference ref)` Deprecated.
`jakarta.servlet.http.HttpServlet` `getDispatcher()` Deprecated.
`void` `removedService​(org.osgi.framework.ServiceReference ref, Object service)` Deprecated.

### Methods inherited from class org.osgi.util.tracker.ServiceTracker

`close, getService, getService, getServiceReference, getServiceReferences, getServices, getServices, getTracked, getTrackingCount, isEmpty, modifiedService, open, open, remove, size, waitForService`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DispatcherTracker

    public DispatcherTracker​(org.osgi.framework.BundleContext context,
                             String filter,
                             jakarta.servlet.ServletConfig config)
                      throws Exception

Deprecated.

Throws:
  `Exception`

### Method Detail

#### getDispatcher

    public jakarta.servlet.http.HttpServlet getDispatcher()

Deprecated.

#### addingService

    public Object addingService​(org.osgi.framework.ServiceReference ref)

Deprecated.

Specified by:
  `addingService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer`
Overrides:
  `addingService` in class `org.osgi.util.tracker.ServiceTracker`

#### removedService

    public void removedService​(org.osgi.framework.ServiceReference ref,
                               Object service)

Deprecated.

Specified by:
  `removedService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer`
Overrides:
  `removedService` in class `org.osgi.util.tracker.ServiceTracker`